Subject: Segfault on flatpak remote-add

From: "Jonathan Frederickson" <[email-masked]>
Date: Sun, 05 May 2019 16:05:25 -0400

I'm attempting to use Flatpak on my Guix system, and I'm experiencing segfaults when attempting to add a remote repo. Provided below are the output of the command I'm attempting to run, as well as some info about my system.

=====
jfred@lambdacrypt ~$ flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo

Note that the directories

'/var/lib/flatpak/exports/share'
'/home/jfred/.local/share/flatpak/exports/share'

are not in the search path set by the XDG_DATA_DIRS environment variable, so
applications installed by Flatpak may not appear on your desktop until the
session is restarted.

Segmentation fault
=====
Current guix commit:

jfred@lambdacrypt ~$ guix describe -f channels
(list (channel
        (name 'guix)
        (url "https://git.savannah.gnu.org/git/guix.git")
        (commit
          "187f9636f176d62bf869b787ad410e3a528aa1a0")))
=====
Current user package manifest:

jfred@lambdacrypt ~$ cat guix.scm
(specifications->manifest
 '("glibc-utf8-locales"
   ;;# Dotfiles management
   "stow"
   "rofi"
   "gnupg"
   "emacs-password-store"
   "pcsc-lite"
   ;;# Hacking
   "emacs"
   "git"
   "[email-masked]"
   "font-adobe-source-code-pro"
   "emacs-guix"
   ;;# Devops
   "docker"
   "docker-cli"
   "docker-compose"
   ;; System Administration
   "htop"
   "curl"
   ;;# Desktop
   "gnome-tweak-tool"
   "icecat"
   "luakit"
   "flatpak"
   "evolution"
   ;; Gaming
   "tintin++"
   "powwow"))